/*
 * MUVISetup.java
 *
 * Created on 17 dicembre 2008, 8.08
 */


import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import javax.swing.*;


/**
 *
 * @author hd
 */
public class TESTGL extends javax.swing.JFrame {

	SceneOGL s3dogl;
	private JPanel panel;
	
    /**
     * Creates new form MUVISetup
     */
    public TESTGL() {
    	getContentPane().setFont(new Font("Dialog", Font.PLAIN, 14));
    	
    	panel = new JPanel();
    	panel.setBackground(Color.BLACK);
    	getContentPane().add(panel, BorderLayout.CENTER);
    	panel.setLayout(new BoxLayout(panel, BoxLayout.X_AXIS));
    	setSize(new Dimension(826, 573));
    	setPreferredSize(new Dimension(720, 500));
    	initOGLComponents();

    }
    
    public void initOGLComponents()
    {
        s3dogl = new SceneOGL();
        panel.add(s3dogl);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new TESTGL().setVisible(true);
            }
        });
    }

}
